Subject: bug#20124: closed (Re: bug#20124: Building emacs and libjpeg not found on Fedora 22)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Mar 2015 17:38:02 +0000

Your bug report

#20124: Building emacs and libjpeg not found on Fedora 22

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20124: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20124
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20124: Building emacs and libjpeg not found on Fedora 22
From: Paul Eggert <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: Petr Hracek <[email-masked]>, [email-masked], Andreas Schwab <[email-masked]>
Date: Mon, 23 Mar 2015 10:37:14 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris wrote:
> Note that Andreas has today installed something related to this area:

Thanks, Andreas.  I merged that from emacs-24 to master and am marking this bug 
as done.

At some point we should probably stop using AC_EGREP_CPP, as it's too brittle. 
But that can wait.

Subject: Building emacs and libjpeg not found on Fedora 22
From: Petr Hracek <[email-masked]>
To: [email-masked]
Date: Tue, 17 Mar 2015 10:47:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I am trying to build emacs with following parameters in configuration 
script.
./configure --build=x86_64-redhat-linux-gnu 
--host=x86_64-redhat-linux-gnu --program-prefix= 
--disable-dependency-tracking --prefix=/usr --exec-prefix=/usr 
--bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc 
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 
--libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib 
--mandir=/usr/share/man --infodir=/usr/share/info --with-dbus --with-gif 
--with-jpeg --with-png --with-rsvg --with-tiff --with-xft --with-xpm 
--with-x-toolkit=gtk3 --with-gpm=no

It fails with:
configure: error: The following required libraries were not found:
      libjpeg
Maybe some development libraries/packages are missing?
If you don't want to link with them give
      --with-jpeg=no
as options to configure

I have installed following libjpeg versions:
libjpeg-turbo-1.4.0-1.fc22
libjpeg-turbo-devel-1.4.0-1.fc22.
(http://koji.fedoraproject.org/koji/buildinfo?buildID=605282)

The first package delivers SO libraries like so.62.0
second one delivers headers and libjpeg.so library

Do you have any idea where could be a problem?

Greetings
Petr

-- 
Petr Hracek
Software Engineer
Developer Experience
Red Hat, Inc
Mob: +420777056169
email: [email-masked]